Skip to main content
GET
/
v1
/
webhooks
Search webhooks
curl --request GET \
  --url https://api.runflow.io/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "url": "<string>",
      "secret_fingerprint": "<string>",
      "disabled_at": "2023-11-07T05:31:56Z",
      "last_triggered_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "event_subscriptions": [
        {
          "webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "event_type_code": "<string>"
        }
      ],
      "deliveries": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "event_type_code": "<string>",
          "payload": {},
          "created_at": "2023-11-07T05:31:56Z",
          "attempts": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "attempt_number": 123,
              "status_code": 123,
              "response_body": "<string>",
              "response_time_ms": 123,
              "succeeded": true,
              "next_retry_at": "2023-11-07T05:31:56Z",
              "created_at": "2023-11-07T05:31:56Z",
              "delivery": null
            }
          ],
          "webhook": null
        }
      ]
    }
  ],
  "first": "<string>",
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Query Parameters

q
string | null

ANTLR filter expression

limit
integer | null

Page size

Required range: 1 <= x <= 500
sort_by
string | null

Sort expression (e.g. created_at:desc)

fields
string | null

Field projection (e.g. id,name)

embed
string | null

Relation embedding. Available values: deliveries, event_subscriptions. Use a comma-separated list to request multiple embeds.

pq
string | null

Pagination cursor query

from_prev
boolean
default:false

Backward pagination flag

Response

Paginated webhook list.

Paginated list response.

items
FullValidator · object[]
required
first
string | null
next
string | null
previous
string | null